#include "todolistwidget.h"
#include "todowidget.h"
#include "todotablemodel.h"

ToDoListWidget::ToDoListWidget(TodoManager& m, QWidget *parent)
    : QWidget(parent),
      manager(m)
{
    QVBoxLayout* qvbox = new QVBoxLayout();
    // Add table
    QTableView* tableView = new QTableView();
    TodoTableModel* model = new TodoTableModel(manager, 0);
    tableView->setModel( model );
    qvbox->addWidget(tableView);
    // Add buttons
    QPushButton* pushBtn = new QPushButton("Add");
    qvbox->addWidget(pushBtn);
    // Set layout
    setLayout(qvbox);
    // Handle events
    connect(pushBtn, SIGNAL(clicked()), this, SLOT(addTodo()));
}

ToDoListWidget::~ToDoListWidget()
{

}

void ToDoListWidget::addTodo() {
    ToDoWidget* w = new ToDoWidget(manager);
    w->show();
}
