#include "todotablemodel.h"
#include <QObject>
#include <iostream>

TodoTableModel::TodoTableModel(TodoManager& m, QObject* parent)
    : QAbstractTableModel(parent), manager(m) {
    QObject::connect(&manager, SIGNAL(todoAdded()), this, SLOT(todoAdded2()));
}

QVariant TodoTableModel::data(const QModelIndex &index, int role) const
{
    if (role == Qt::DisplayRole) {
        return index.column()==0?
                QString(manager.tasks()[index.row()].title.c_str()):
                QString(manager.tasks()[index.row()].description.c_str());
    }
    return QVariant();
}

void TodoTableModel::todoAdded2() {
    int size = manager.tasks().size();
    QModelIndex lastLineLeft = createIndex(size, 0);
    QModelIndex lastLineRight = createIndex(size, 2);
    emit dataChanged(lastLineLeft, lastLineRight);
}
