#include "todowidget.h"
#include "todomanager.h"
#include "todo.h"
#include <exception>

ToDoWidget::ToDoWidget(TodoManager& m,QWidget *parent)
    : QWidget(parent),
      manager(m)
{
    QGridLayout* qGrid = new QGridLayout();
    // Add title
    qGrid->addWidget(new QLabel("Title"), 0, 0);
    titleEdit = new QLineEdit();
    qGrid->addWidget(titleEdit, 0, 1);
    // Add description
    qGrid->addWidget(new QLabel("Descriere"), 1, 0);
    descriptionEdit = new QLineEdit();
    qGrid->addWidget(descriptionEdit, 1, 1);
    // Add ok
    QPushButton* ok = new QPushButton("OK");
    qGrid->addWidget(ok,2,0);
    // Add cancel
    QPushButton* cancel = new QPushButton("Cancel");
    qGrid->addWidget(cancel,2,1);
    // Set layout
    setLayout(qGrid);
    // Handle events
    connect(ok, SIGNAL(clicked()), this, SLOT(saveTodo()));
}

void ToDoWidget::saveTodo()
{
    try {
        manager.save(Todo(titleEdit->text().toStdString(),descriptionEdit->text().toStdString()));
        hide();
    } catch (exception& e){
        // todo
    }
}

ToDoWidget::~ToDoWidget()
{

}


